Difference between revisions of "Arch Site/ro"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 78: Line 78:
 
If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
 
If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
 
</div>
 
</div>
 +
 +
Pysolar 0.7 or above is required; this version only works with Python 3. If you require this feature with Python 2, you should have Pysolar 0.6 as this is the last version that works with Python 2.
  
 
[[Image:Freecad-solar-diagram.jpg]]
 
[[Image:Freecad-solar-diagram.jpg]]
Line 117: Line 119:
 
As long as the {{incode|pysolar}} module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.
 
As long as the {{incode|pysolar}} module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.
  
Please note that modern versions of {{incode|pysolar}} only work with Python 3.
+
Please note that Pysolar 0.7 or above is required, and this version only works with Python 3.
 
{{Code|code=
 
{{Code|code=
 
Site.Longitude = -46.38
 
Site.Longitude = -46.38

Latest revision as of 09:30, 9 May 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Building.svg Building
Next: Reference Arch Reference.svg Arrow-right.svg

Descriere

Site-ul Arch este un obiect special care combină proprietățile unui obiect standard al grupului FreeCAD și a obiectelor Arch. Este deosebit de potrivit pentru a reprezenta un întreg sit de proiect sau teren. În cazul lucrărilor arhitecturale bazate pe IFC, se utilizează cea mai mare parte pentru a vă organiza modelul, conținând obiecte building. Site-ul este, de asemenea, folosit pentru a gestiona și a afișa un teren fizic și poate calcula volumul de pământ care trebuie adăugat sau eliminat.

Cum se folosește

  1. Optionally, select one or more objects to be included in your new site
  2. Press the Arch Site.png Arch Site button, or press the S then I keys

Opţiuni

  • After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add.png Arch Add tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
  • You can remove objects from a site by drag and dropping them out of it the Tree View or by using the Arch Remove.png Arch Remove tool
  • You can add a terrain object by editing the Site's Terrain property. The terrain must be an open shell or surface.
  • You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
  • The Extrusion Vector property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.

Proprietăți

  • DATATerrain: The base terrain of this site
  • DATAAddress: The street and housenumber of this site
  • DATAPostal Code: The postal or zip code of this site
  • DATACity: The city of this site
  • DATACountry: The country of this site
  • DATALatitude: The latitude of this site
  • DATALongitude: The longitude of this site
  • DATAUrl: An url that shows this site in a mapping website
  • DATAProjected Area: The area of the projection of this object onto the XY plane
  • DATAPerimeter: The perimeter length of this terrain
  • DATAAddition Volume: The volume of earth to be added to this terrain
  • DATASubtraction Volume: The volume of earth to be removed from this terrain
  • DATAExtrusion Vector: An extrusion vector to use when performing boolean operations
  • DATARemove Splitter: Remove splitters from the resulting shape
  • DATANorth Deviation: The angle between the true North and the north direction in this document
  • VIEWSolar Diagram: Shows or hides the solar diagram
  • VIEWSolar Diagram Color: The color of the solar diagram
  • VIEWSolar Diagram Position: The position of the solar diagram
  • VIEWSolar Diagram Scale: The scale of the solar diagram

View

  • VIEWSolar Diagram: Shows or hides the solar diagram
  • VIEWSolar Diagram Color: The color of the solar diagram
  • VIEWSolar Diagram Position: The position of the solar diagram
  • VIEWSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part -> Create Shape from Mesh.... Then, create a Site object, and set its Terrain property to the Part we just created:

Arch site example 01.jpg

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

Arch site example 02.jpg

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Arch site example 03.jpg

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, Longitude, Latitude and NorthDeviation properties must be correctly set, and SolarDiagram view property turned on. introduced in version 0.17

Pysolar 0.7 or above is required; this version only works with Python 3. If you require this feature with Python 2, you should have Pysolar 0.6 as this is the last version that works with Python 2.

Freecad-solar-diagram.jpg

Scrip-Programare

Instrumentul Site poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

Site = makeSite(objectslist=None, baseobj=None, name="Site")

creează un site incluzând obiectele din lista dată.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Solar diagram

As long as the pysolar module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.

Please note that Pysolar 0.7 or above is required, and this version only works with Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Solar diagram independent of Site

O diagramă de însorire poate fi creată cu :

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn, which shows the full solar analemma.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)